Bug 97300 - Ill-placed question for updating Link on opening a file with broken conditional formatting
Summary: Ill-placed question for updating Link on opening a file with broken condition...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2016-01-21 14:51 UTC by Cor Nouws
Modified: 2020-07-23 03:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test file with broken conditional formatting triggering link update request (19.82 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2016-01-21 14:51 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-01-21 14:51:01 UTC
Hi, 

I'll attach a test file.
Somehow, conditional formatting in AQ57 became wrong.
(Format > Conditional formatting > Manage..)
It now shows "Cell value is =>cliënten.u#ref!"

On opening the file, one gets the question to update the link.
'Removing' the link with Edit > Links doesn't help. On next opening, the problem occurs again.

Tested in master recent and 3.3.0
Comment 1 Cor Nouws 2016-01-21 14:51:53 UTC
Created attachment 122133 [details]
test file with broken conditional formatting triggering link update request
Comment 2 Cor Nouws 2016-01-21 14:52:14 UTC
.
Comment 3 m.a.riosv 2016-01-21 22:25:50 UTC
Hi Cor the wrong reference is in the file.

Looking at the content.xml in file.

1842 <style:map style:base-cell-address="cliënten.AQ57" style:apply-style-name="naamloos2" style:condition="cell-content()>=cliënten.u#ref!"/>

Seems an error writing the address in the CF condition. Other conditions are cliënten.Unn
Comment 4 QA Administrators 2017-03-06 14:20:15 UTC Comment hidden (obsolete)
Comment 5 Cor Nouws 2017-07-21 10:07:30 UTC
Still the same in Version: 6.0.0.0.alpha0+
Build ID: 1ec04aa8d8f37c82c78d6b98e030a34769d3123e
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-07-18_22:38:27
Locale: nl-NL (nl_NL.UTF-8); Calc: group

But obviously a strange broken file and exceptional situation
Comment 6 Xavier Van Wijmeersch 2017-07-21 14:26:07 UTC
Hi Cor

When opening the manage name's box you will see two !REF errors.
Deleting them will help, and also in conditional formatting.
It fix the problem.

Version: 6.0.0.0.alpha0+
Build ID: ee299664940139f6f9543592ece3b3c0210b59f4
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group (build 20170721)
Comment 7 Cor Nouws 2017-07-22 19:46:20 UTC
(In reply to Xavier Van Wijmeersch from comment #6)
> When opening the manage name's box you will see two !REF errors.
> Deleting them will help, and also in conditional formatting.
> It fix the problem.

Thanks Xavier - deleting the bad reference in named ranges and in conditional formatting and then removing the Link, indeed solves the issue.

The question remains if the (error) message given is adequate.
Comment 8 QA Administrators 2018-07-23 02:32:04 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2020-07-23 03:55:50 UTC
Dear Cor Nouws,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug